MNDeployment # 3188 (Deprecated): Kansas University Biodiversity Institute

Task # 4041 (Closed): Review KUBI synchronization results

Fix stmml:unit validation errors in KUBI EML

2013-10-08 00:42 - Chris Jones

Status: Closed Start date: 2013-10-08

Priority: Normal Due date:  

Assignee: CJ Grady % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

After some digging, I found that the EML being produced by the KUBI MN is not synchronizing because of a validation problem with

the stmml:unit elements being declared i the  section of the EML.  This likely wasn't easily noticed because the "EML Validation

Service":http://knb.ecoinformatics.org/emlparser/ doesn't parse the content in the  section other than to assure XML validity, but not

schema validity.

That said, the fix looks easy: stmml:unit can't have character content as a direct child since it's definition specifies element content

only as children (annotations removed):

xsd:complexType

 /xsd:choice

 /xsd:attribute

 /xsd:attribute

 /xsd:attribute

 /xsd:attribute

 /xsd:complexType

 /xsd:element

So, the textual description of each custom unit needs to be wrapped in a  tag, e.g:

eml:eml

...

Standard Deviation multiplied by 100

 /stmml:unit

/eml:eml

I'd also suggest that the unit id attribute be a camel case id, which would be more consistent with ids found in the "EML unit

dictionary":https://code.ecoinformatics.org/code/eml/tags/RELEASE_EML_2_1_1/eml-unitDictionary.xml. Something like:

This isn't a necessity, but may help in adopting these units into the next version of the unit dictionary.
http://knb.ecoinformatics.org/emlparser/
redmine.dataone.org/xsd:choice
redmine.dataone.org/xsd:attribute
redmine.dataone.org/xsd:attribute
redmine.dataone.org/xsd:attribute
redmine.dataone.org/xsd:attribute
redmine.dataone.org/xsd:complexType
redmine.dataone.org/xsd:element
redmine.dataone.org/stmml:unit
redmine.dataone.org/eml:eml
https://code.ecoinformatics.org/code/eml/tags/RELEASE_EML_2_1_1/eml-unitDictionary.xml


History

#1 - 2013-10-09 16:53 - CJ Grady

- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 2013-10-24 17:26 - CJ Grady

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

#3 - 2013-11-13 18:36 - Bruce Wilson

- Target version changed from 315 to Deploy by end of Y5Q2

#4 - 2014-02-03 16:04 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#5 - 2014-02-20 21:21 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Operational
